Unified Inbox

List Emails

POST/v1/unified-inbox/emails
POST
/v1/unified-inbox/emails

Get all emails based on filters

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Request Body

application/jsonRequired

pagenumber

limitnumber

searchstring

Default: ""

categoryIdsarray<string>

sentimentstring

Filter by SentimentsType

Value in: "Positive" | "Negative" | "Neutral" | "Uncategorized"

sequenceIdsarray<string>

emailAccountIdsarray<string>

startDatestring

endDatestring

isReadnumber

ownersarray<string>

clientIdsarray<string>

typestring

Filter by emails type

Value in: "system" | "external"

Responses

200
Successfully fetched email list

Request

curl -X POST \
  "https://open-api.saleshandy.com/v1/unified-inbox/emails" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "page": 0,
  "limit": 0,
  "search": "string",
  "categoryIds": [
    "string"
  ],
  "sentiment": "Positive",
  "sequenceIds": [
    "string"
  ],
  "emailAccountIds": [
    "string"
  ],
  "startDate": "string",
  "endDate": "string",
  "isRead": 0,
  "owners": [
    "string"
  ],
  "clientIds": [
    "string"
  ],
  "type": "system"
}'

Response

No response body